Archive Storage
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Intergacfe,API)를 제공합니다.
본 가이드는 Archive Storage 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | DEPRECATED | 20251231 |
| 1.1 | CURRENT | - |
OpenAPI URL
https://archivestorage.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - CancelArchiving
1.1.1 - 1.1
put /v1/archiving-histories/cancel-archiving
Description
아카이빙을 취소한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 202
1.1.2 - 1.0
put /v1/archiving-histories/cancel-archiving
Description
아카이빙을 취소한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 202
1.2 - CancelRecovery
1.2.1 - 1.1
put /v1/recovery-histories/cancel-recovery
Description
복구를 취소한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 202
1.2.2 - 1.0
put /v1/recovery-histories/cancel-recovery
Description
복구를 취소한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 202
1.3 - CreateArchivingPolicy
1.3.1 - 1.1
post /v1/archiving-policies
Description
아카이빙 정책을 생성한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | ArchivingPolicyCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"archiving_source_bucket_name": "obs-bucket-name",
"object_lifecycle": "1",
"object_path": "/"
}
Example HTTP response
Response 201
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.3.2 - 1.0
post /v1/archiving-policies
Description
아카이빙 정책을 생성한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | ArchivingPolicyCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"archiving_source_bucket_name": "obs-bucket-name",
"object_lifecycle": "1",
"object_path": "/"
}
Example HTTP response
Response 201
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.4 - CreateBucket
1.4.1 - 1.1
post /v1/buckets
Description
버킷을 생성한다.
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | BucketCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"name": "astest",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}
1.4.2 - 1.0
post /v1/buckets
Description
버킷을 생성한다.
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | BucketCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"name": "astest",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}
1.5 - DeleteBucket
1.5.1 - 1.1
delete /v1/buckets/{bucket_id}
Description
버킷을 삭제한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 202
1.5.2 - 1.0
delete /v1/buckets/{bucket_id}
Description
버킷을 삭제한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 202
1.6 - DeleteBucketObjects
1.6.1 - 1.1
delete /v1/buckets/{bucket_id}/objects
Description
버킷 오브젝트를 삭제한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 202
1.6.2 - 1.0
delete /v1/buckets/{bucket_id}/objects
Description
버킷 오브젝트를 삭제한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Request body
Example HTTP response
Response 202
1.7 - DeleteBucketObjectVersions
1.7.1 - 1.1
delete /v1/buckets/{bucket_id}/object-versions
Description
버킷 오브젝트 버전을 삭제한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectVersionsDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/object-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"path": "hello/my_file.txt",
"versions": [
"Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"asSrZ.-K.cf67F0NhXR353JS7Kx6kmm"
]
}
Example HTTP response
Response 202
1.8 - ListArchivingHistories
1.8.1 - 1.1
get /v1/archiving-histories
Description
아카이빙 이력 목록을 검색한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
| query | start_at_from required | 시작일부터 Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | 시작일까지 Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | 상태 Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
| query | offset optional | 오프셋 Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"contents": [
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.8.2 - 1.0
get /v1/archiving-histories
Description
아카이빙 이력 목록을 검색한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
| query | start_at_from required | 시작일부터 Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | 시작일까지 Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | 상태 Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
| query | offset optional | 오프셋 Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"contents": [
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.9 - ListArchivingPolicies
1.9.1 - 1.1
get /v1/archiving-policies
Description
아카이빙 정책 목록을 검색한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policies": [
{
"id": "SCH-XXXXXXX",
"object_lifecycle": "1",
"object_path": "/",
"state": "ACTIVE"
}
]
}
1.9.2 - 1.0
get /v1/archiving-policies
Description
아카이빙 정책 목록을 검색한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policies": [
{
"id": "SCH-XXXXXXX",
"object_lifecycle": "1",
"object_path": "/",
"state": "ACTIVE"
}
]
}
1.10 - ListBucketObjects
1.10.1 - 1.1
get /v1/buckets/{bucket_id}/objects
Description
버킷 오브젝트 목록을 검색한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| query | marker optional | 마커 Example : TODO.txt
| any of [string, null] | None |
| query | object_path optional | 오브젝트 경로 Example : /
| any of [string, null] | None |
| query | object_name optional | 오브젝트 이름 Example : hello/TODO.txt
| any of [string, null] | None |
| query | object_type optional | 오브젝트 타입 Example : FILE
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 200 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ObjectListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"marker": "TODO.txt",
"is_truncated": true,
"contents": [
{
"object_name": "hello/TODO.txt",
"object_type": "FILE",
"object_size": "3581",
"modified_at": "2025-04-09T05:54:46.244000+00:00"
}
]
}
1.10.2 - 1.0
get /v1/buckets/{bucket_id}/objects
Description
버킷 오브젝트 목록을 검색한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| query | marker optional | 마커 Example : TODO.txt
| any of [string, null] | None |
| query | object_path optional | 오브젝트 경로 Example : /
| any of [string, null] | None |
| query | object_name optional | 오브젝트 이름 Example : hello/TODO.txt
| any of [string, null] | None |
| query | object_type optional | 오브젝트 타입 Example : FILE
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 200 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ObjectListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"marker": "TODO.txt",
"is_truncated": true,
"contents": [
{
"object_name": "hello/TODO.txt",
"object_type": "FILE",
"object_size": "3581",
"modified_at": "2025-04-09T05:54:46.244000+00:00"
}
]
}
1.11 - ListBucketObjectVersions
1.11.1 - 1.1
get /v1/buckets/{bucket_id}/object-versions
Description
버킷 오브젝트 버전 목록을 검색한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| query | object_path required | 오브젝트 경로 Example : hello/my_file.txt
| string | None |
| query | offset optional | 오프셋 Example : 0
| any of [integer, null] | 0 |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ObjectVersionListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/object-versions?object_path={object_path}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"contents": [
{
"object_path": "hello/my_file.txt",
"object_version_id": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"latest": true,
"modified_at": "2025-04-09T05:54:46.244000+00:00",
"etag": "4f6094f1e0619a6504efcb5e69e63bec",
"size": "20"
}
]
}
1.12 - ListBuckets
1.12.1 - 1.1
get /v1/buckets
Description
버킷 목록을 검색한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | name optional | 버킷 이름 Example : astest
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"buckets": [
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest"
}
]
}
1.12.2 - 1.0
get /v1/buckets
Description
버킷 목록을 검색한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | name optional | 버킷 이름 Example : astest
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"buckets": [
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest"
}
]
}
1.13 - ListRecoveryHistories
1.13.1 - 1.1
get /v1/recovery-histories
Description
복구 이력 목록을 검색한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
| query | start_at_from required | 시작일부터 Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | 시작일까지 Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | 상태 Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
| query | offset optional | 오프셋 Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"contents": [
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.13.2 - 1.0
get /v1/recovery-histories
Description
복구 이력 목록을 검색한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
| query | start_at_from required | 시작일부터 Example : 2025-04-01T00:00:00+09:00
| string (date-time) | None |
| query | start_at_to required | 시작일까지 Example : 2025-04-30T23:59:59+09:00
| string (date-time) | None |
| query | state optional | 상태 Example : SUCCESS
| any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20
| any of [integer, null] | 20 |
| query | offset optional | 오프셋 Example : 0
| any of [integer, null] | 0 |
Responses
Example HTTP request
Request path
/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"contents": [
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
1.14 - RecoverObjects
1.14.1 - 1.1
put /v1/buckets/{bucket_id}/recover-objects
Description
오브젝트를 오브젝트 스토리지에 복구한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectRecoverRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ObjectRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"recovery_infos": [
{
"source_object_path": "/",
"object_type": "FILE"
}
],
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
1.14.2 - 1.0
put /v1/buckets/{bucket_id}/recover-objects
Description
오브젝트를 오브젝트 스토리지에 복구한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectRecoverRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ObjectRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-objects
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"recovery_infos": [
{
"source_object_path": "/",
"object_type": "FILE"
}
],
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
1.15 - RecoverObjectVersions
1.15.1 - 1.1
put /v1/buckets/{bucket_id}/recover-object-versions
Description
오브젝트 버전을 오브젝트 스토리지에 복구한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ObjectVersionRecoverRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | ObjectVersionRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-object-versions
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"source_object_path": "/",
"source_object_version": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
1.16 - SetArchivingPolicy
1.16.1 - 1.1
put /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 수정한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"object_lifecycle": "1"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.16.2 - 1.0
put /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 수정한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Request body
{
"object_lifecycle": "1"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.17 - SetArchivingPolicyState
1.17.1 - 1.1
put /v1/archiving-policies/{archiving_policy_id}/state
Description
아카이빙 정책 상태를 수정한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| ArchivingPolicyStateUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}/state?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"state": "ACTIVE"
}
1.18 - SetBucketEncryption
1.18.1 - 1.1
put /v1/buckets/{bucket_id}/encryption
Description
버킷 암호화 정보를 수정한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| BucketEncryptionRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.18.2 - 1.0
put /v1/buckets/{bucket_id}/encryption
Description
버킷 암호화 정보를 수정한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| BucketEncryptionRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Request body
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.19 - SetBucketVersioning
1.19.1 - 1.1
put /v1/buckets/{bucket_id}/versioning
Description
버킷 버저닝을 수정한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
| body | body required |
| BucketVersionRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketVersioningResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/versioning
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Request body
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.20 - ShowArchivingHistory
1.20.1 - 1.1
get /v1/archiving-histories/detail
Description
아카이빙 이력을 상세 조회한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"archiving_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"archiving_object_count": 50,
"archiving_rate": 100
}
]
}
1.20.2 - 1.0
get /v1/archiving-histories/detail
Description
아카이빙 이력을 상세 조회한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"archiving_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"archiving_object_count": 50,
"archiving_rate": 100
}
]
}
1.21 - ShowArchivingPolicy
1.21.1 - 1.1
get /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 상세 조회한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.21.2 - 1.0
get /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 상세 조회한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source": {
"bucket_name": "obs-bucket-name",
"object_path": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
1.22 - ShowBucket
1.22.1 - 1.1
get /v1/buckets/{bucket_id}
Description
버킷을 상세 조회한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketShowResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest",
"state": "ACTIVE",
"usage": "10",
"archiving_source_bucket_name": "obstest"
}
1.22.2 - 1.0
get /v1/buckets/{bucket_id}
Description
버킷을 상세 조회한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketShowResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest",
"state": "ACTIVE",
"usage": "10",
"archiving_source_bucket_name": "obstest"
}
1.23 - ShowBucketEncryption
1.23.1 - 1.1
get /v1/buckets/{bucket_id}/encryption
Description
버킷 암호화 정보를 조회한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.23.2 - 1.0
get /v1/buckets/{bucket_id}/encryption
Description
버킷 암호화 정보를 조회한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketEncryptionResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.24 - ShowBucketVersioning
1.24.1 - 1.1
get /v1/buckets/{bucket_id}/versioning
Description
버킷 버저닝 정보를 조회한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | BucketVersioningResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/versioning
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
1.25 - ShowRecoveryHistory
1.25.1 - 1.1
get /v1/recovery-histories/detail
Description
복구 이력을 상세 조회한다.
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
Example HTTP request
Request path
/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"recovery_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"recovery_object_count": 50,
"recovery_rate": 50
}
]
}
1.25.2 - 1.0
get /v1/recovery-histories/detail
Description
복구 이력을 상세 조회한다.
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| string | None |
Responses
Example HTTP request
Request path
/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.0"
Example HTTP response
Response 200
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"recovery_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"recovery_object_count": 50,
"recovery_rate": 50
}
]
}
2 - Models
2.1 - ArchivingHistory
| Name | Description | Schema | Default |
|---|
archiving_id required | 아카이빙 아이디 Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| any of [string, null] | |
state required | 상태 Example : SUCCESS
| any of [string, null] | |
archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
start_at required | 시작 일시 Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | 종료 일시 Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
2.2 - ArchivingHistoryListResponse
| Name | Description | Schema | Default |
|---|
total_count required | 총 개수 Example : 10
| any of [integer, null] | |
bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| any of [string, null] | |
contents required | 이력 목록
| array[ArchivingHistory] | |
2.3 - ArchivingHistoryShowResponse
| Name | Description | Schema | Default |
|---|
archiving_id required | 아카이빙 아이디 Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de
| any of [string, null] | |
state required | 상태 Example : SUCCESS
| any of [string, null] | |
archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac
| any of [string, null] | |
start_at required | 시작 일시 Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | 종료 일시 Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63
| any of [string, null] | |
archiving_infos required | 아카이빙 정보 목록
| array[ArchivingInfo] | |
2.4 - ArchivingInfo
| Name | Description | Schema | Default |
|---|
source_object_path required | 소스 오브젝트 경로 Example : example_source_object_path/
| any of [string, null] | |
usage required | 사용량 Example : 1024
| any of [string, null] | |
total_object_count required | 총 오브젝트 개수 Example : 100
| any of [integer, null] | |
archiving_object_count required | 아카이빙 오브젝트 개수 Example : 50
| any of [integer, null] | |
archiving_rate required | 아카이빙 진행률 Example : 100
| any of [integer, null] | |
2.5 - ArchivingPolicies
| Name | Description | Schema | Default |
|---|
id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | |
object_lifecycle required | Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값 Example : 1
| any of [string, null] | |
object_path required | 오브젝트 경로 Example : /
| any of [string, null] | |
state required | 아카이빙 정책 상태 Example : ACTIVE
| string | |
2.6 - ArchivingPolicyCreateRequest
| Name | Description | Schema | Default |
|---|
archiving_source_bucket_name required | 아카이빙 소스 버킷 이름 Example : obs-bucket-name
| string | |
object_lifecycle required | Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값 Example : 1
| string | |
object_path required | 오브젝트 경로 Example : / Pattern : ^/$
| string | |
2.7 - ArchivingPolicyCreateResponse
| Name | Description | Schema | Default |
|---|
id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | |
bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source required | 아카이빙 소스
| ArchivingSource | |
object_lifecycle required | Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값 Example : 1
| string | |
state required | 아카이빙 정책 상태 Example : ACTIVE
| string | |
2.8 - ArchivingPolicyListResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 1
| integer | |
bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source_bucket_name required | 아카이빙 소스 버킷 이름 Example : obs-bucket-name
| any of [string, null] | |
archiving_policies required | 아카이빙 정책 목록
| any of [array[ArchivingPolicies], null] | |
2.9 - ArchivingPolicyShowResponse
| Name | Description | Schema | Default |
|---|
id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | |
bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source required | 아카이빙 소스
| ArchivingSource | |
object_lifecycle required | Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값 Example : 1
| any of [string, null] | |
state required | 아카이빙 정책 상태 Example : ACTIVE
| any of [string, null] | |
2.10 - ArchivingPolicyStateUpdateRequest
| Name | Description | Schema | Default |
|---|
state required | 아카이빙 정책 상태 Example : ACTIVE Pattern : ^(ACTIVE|INACTIVE)$
| string | |
2.11 - ArchivingPolicyStateUpdateResponse
| Name | Description | Schema | Default |
|---|
id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | |
bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
state required | 아카이빙 정책 상태 Example : ACTIVE
| string | |
2.12 - ArchivingPolicyUpdateRequest
| Name | Description | Schema | Default |
|---|
object_lifecycle required | Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값 Example : 1
| string | |
2.13 - ArchivingPolicyUpdateResponse
| Name | Description | Schema | Default |
|---|
id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX
| string | |
bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
archiving_source required | 아카이빙 소스
| ArchivingSource | |
object_lifecycle required | Object Storage에 저장된 각 오브젝트의 생성 후 경과 일수를 기준으로 아카이빙 조건을 설정하는 값 Example : 1
| string | |
state required | 아카이빙 정책 상태 Example : ACTIVE
| string | |
2.14 - ArchivingSource
| Name | Description | Schema | Default |
|---|
bucket_name required | 아카이빙 소스 버킷 이름 Example : obs-bucket-name
| any of [string, null] | |
object_path required | 오브젝트 경로 Example : /
| any of [string, null] | |
2.15 - BucketCreateRequest
| Name | Description | Schema | Default |
|---|
name required | 버킷 이름 Example : astest
| string | |
tags optional | 태그 목록
| any of [array[Tag], null] | |
2.16 - BucketCreateResponse
| Name | Description | Schema | Default |
|---|
id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
2.17 - BucketEncryptionRequest
| Name | Description | Schema | Default |
|---|
enabled required | 암호화 여부 Example : True
| boolean | |
2.18 - BucketEncryptionResponse
| Name | Description | Schema | Default |
|---|
id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
enabled required | 암호화 여부 Example : True
| boolean | |
2.19 - BucketListResponse
2.20 - BucketShowResponse
| Name | Description | Schema | Default |
|---|
id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
name required | 버킷 이름 Example : astest
| string | |
state required | 버킷 상태 Example : ACTIVE
| string | |
usage optional | 버킷 사용량 Example : 10
| any of [string, null] | |
archiving_source_bucket_name optional | 아카이빙 소스 버킷 이름 Example : obstest
| any of [string, null] | |
2.21 - BucketVersioningResponse
| Name | Description | Schema | Default |
|---|
id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
enabled required | 암호화 여부 Example : True
| boolean | |
2.22 - BucketVersionRequest
| Name | Description | Schema | Default |
|---|
enabled required | 버저닝 여부 Example : True
| boolean | |
2.23 - BucketWithName
| Name | Description | Schema | Default |
|---|
id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
name required | 버킷 이름 Example : astest
| string | |
2.24 - Object
| Name | Description | Schema | Default |
|---|
object_name required | 오브젝트 이름 Example : hello/TODO.txt
| string | |
object_type required | 오브젝트 타입 Example : FILE
| string | |
object_size optional | 오브젝트 크기 Example : 3581
| any of [string, null] | |
modified_at optional | 수정일 Example : 2025-04-09T05:54:46.244000+00:00
| any of [string, null] | |
2.25 - ObjectDeleteRequest
| Name | Description | Schema | Default |
|---|
paths required | 오브젝트 경로 목록 Example : ['test/']
| array[string] | |
2.26 - ObjectListResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 1
| integer | |
marker optional | 마커 Example : TODO.txt
| any of [string, null] | |
is_truncated required | is_truncated는 현재 결과가 모든 데이터를 포함하고 있는지, 아니면 일부만 포함하고 있는지를 나타냅니다. Example : True
| boolean | |
contents required | 오브젝트 목록
| array[Object] | |
2.27 - ObjectRecoverRequest
| Name | Description | Schema | Default |
|---|
recovery_target_bucket_name required | 복구 대상 버킷 이름 Example : obs-bucket-name
| string | |
recovery_infos required | 오브젝트 복구 정보 목록
| array[ObjectRecoveryInfo] | |
overwrite required | 덮어쓰기 Example : True
| boolean | |
2.28 - ObjectRecoverResponse
| Name | Description | Schema | Default |
|---|
id required | 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
recovery_target_bucket_name required | 복구 대상 버킷 이름 Example : obs-bucket-name
| string | |
2.29 - ObjectRecoveryInfo
| Name | Description | Schema | Default |
|---|
source_object_path required | 복구 소스 오브젝트 경로 Example : /
| string | |
object_type required | 오브젝트 타입 Example : FILE Pattern : ^(FILE|FOLDER)$
| string | |
2.30 - ObjectVersionListResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 1
| integer | |
contents required |
| array[ObjectVersions] | |
2.31 - ObjectVersionRecoverRequest
| Name | Description | Schema | Default |
|---|
recovery_target_bucket_name required | 복구 대상 버킷 이름 Example : obs-bucket-name
| string | |
source_object_path required | 복구 소스 오브젝트 경로 Example : /
| string | |
source_object_version required | 복구 소스 오브젝트 버전 Example : Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl
| string | |
overwrite required | 덮어쓰기 Example : True
| boolean | |
2.32 - ObjectVersionRecoverResponse
| Name | Description | Schema | Default |
|---|
id required | 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2
| string | |
recovery_target_bucket_name required | 복구 대상 버킷 이름 Example : obs-bucket-name
| string | |
2.33 - ObjectVersions
| Name | Description | Schema | Default |
|---|
object_path required | 오브젝트 경로 Example : hello/my_file.txt
| string | |
object_version_id required | 오브젝트 버전 아이디 Example : Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl
| string | |
latest required | 오브젝트의 최신버전 Example : True
| boolean | |
modified_at required | 수정일 Example : 2025-04-09T05:54:46.244000+00:00
| string (date-time) | |
etag required | ETag Example : 4f6094f1e0619a6504efcb5e69e63bec
| string | |
size required | 크기 Example : 20
| string | |
2.34 - ObjectVersionsDeleteRequest
| Name | Description | Schema | Default |
|---|
path required | 오브젝트 경로 Example : hello/my_file.txt
| string | |
versions required | 오브젝트 버전 목록 Example : ['Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl', 'asSrZ.-K.cf67F0NhXR353JS7Kx6kmm']
| array[object] | |
2.35 - RecoveryHistory
| Name | Description | Schema | Default |
|---|
recovery_id required | 복구 아이디 Example : ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5
| any of [string, null] | |
id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| any of [string, null] | |
state required | 상태 Example : SUCCESS
| any of [string, null] | |
recovery_target_bucket_name required | 복구 대상 버킷 이름 Example : test-obs-bucket
| any of [string, null] | |
start_at required | 시작 일시 Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | 종료 일시 Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
2.36 - RecoveryHistoryListResponse
| Name | Description | Schema | Default |
|---|
total_count required | 총 개수 Example : 10
| any of [integer, null] | |
bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| any of [string, null] | |
contents required | 이력 목록
| array[RecoveryHistory] | |
2.37 - RecoveryHistoryShowResponse
| Name | Description | Schema | Default |
|---|
recovery_id required | 복구 아이디 Example : ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5
| any of [string, null] | |
id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763
| any of [string, null] | |
state required | 상태 Example : SUCCESS
| any of [string, null] | |
recovery_target_bucket_name required | 복구 대상 버킷 이름 Example : test-obs-bucket
| any of [string, null] | |
start_at required | 시작 일시 Example : 2025-04-01T00:00:00+09:00
| any of [string (date-time), null] | |
end_at required | 종료 일시 Example : 2025-04-30T23:59:59+09:00
| any of [string (date-time), null] | |
bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f
| any of [string, null] | |
recovery_infos required | 복구 정보 목록
| array[RecoveryInfo] | |
2.38 - RecoveryInfo
| Name | Description | Schema | Default |
|---|
source_object_path required | 소스 오브젝트 경로 Example : example_source_object_path/
| any of [string, null] | |
usage required | 사용량 Example : 1024
| any of [string, null] | |
total_object_count required | 총 오브젝트 개수 Example : 100
| any of [integer, null] | |
recovery_object_count required | 복구 오브젝트 개수 Example : 50
| any of [integer, null] | |
recovery_rate required | 복구 진행률 Example : 50
| any of [integer, null] | |
2.39 - Tag
| Name | Description | Schema | Default |
|---|
key required | 키 Example : key Maximum length : 128
| string | |
value optional | 값 Example : value
| any of [string, null] | |